﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using MindFusion.Scheduling;
using MindFusion.Scheduling.Wpf;

namespace CustomTimetableHeader
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			calendar1.ItemResources.Add(new Resource() { Name = "res 1" });
			calendar1.ItemResources.Add(new Resource() { Name = "res 2" });
			calendar1.ItemResources.Add(new Resource() { Name = "res 3" });
			calendar1.ItemResources.Add(new Resource() { Name = "res 4" });
			calendar1.GroupType = GroupType.GroupByResources;

			calendar1.TimetableSettings.MainHeaderSize = 0;
			calendar1.TimetableSettings.SubHeaderSize = 100;
		}
	}
}
